Bug 1308540 - mysql container image: no rsync or tar available in container
mysql container image: no rsync or tar available in container
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ben Parees
Wang Haoran
https://access.redhat.com/documentati...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 08:20 EST by Evgheni Dereveanchin
Modified: 2016-05-12 12:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:29:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgheni Dereveanchin 2016-02-15 08:20:32 EST
Description of problem:
Documentation recommends copying files to containers using "oc rsync":
https://access.redhat.com/documentation/en/openshift-enterprise/3.1/developer-guide/chapter-21-copying-files-to-or-from-a-container

Some container images shipped with OpenShift however have no rsync/tar binaries, so this command does not work.

Version-Release number of selected component (if applicable):
registry.access.redhat.com/rhscl/mysql-56-rhel7 (45961eb9dde2)

How reproducible:
always

Steps to Reproduce:
1. create app using the mysql image
 oc new-app --template=mysql-ephemeral
2. try to copy a directory into the resulting pod
 oc rsync somedirectory mysql-1-r2dfz:/var


Actual results:
WARNING: cannot use rsync: rsync not available in containerWARNING: cannot use tar: tar not available in containererror: tar not available in container

Expected results:
directory is copied successfully

Additional info:
We should ensure all containers shipped container images contain tar or rsync. Otherwise we need to update documentation to not advertise "oc rsync" functionality.
Comment 1 Ben Parees 2016-02-15 11:44:58 EST
fix: https://github.com/openshift/mysql/pull/123
Comment 2 Wang Haoran 2016-02-16 00:47:20 EST
verified with latest images:
docker.io/centos/mysql-56-centos7                 latest              fce798e153d2        10 hours ago        368.7 MB
docker.io/openshift/mysql-55-centos7              latest              6b6505746595        10 hours ago        349.9 MB
ci.dev.openshift.redhat.com:5000/rhscl/mysql-56-rhel7                                            latest              18c372312aad        10 hours ago        405.3 MB
ci.dev.openshift.redhat.com:5000/openshift/mysql-55-rhel7                                        latest              84fbcb445df2        10 hours ago        385.1 MB
Comment 4 errata-xmlrpc 2016-05-12 12:29:05 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.